%define anolis_release 1
%global srcname libnacl

Name:           python-%{srcname}
Version:        1.7.2
Release: %{anolis_release}%{dist}
Summary:        Python bindings for libsodium based on ctypes

License:        ASL 2.0
URL:            https://libnacl.readthedocs.org/
Source0:        %{pypi_source}
Patch1:         libacl_issue_126.patch

BuildArch:      noarch
BuildRequires:  libsodium-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
python-libnacl is used to gain direct access to the functions exposed by
Daniel J. Bernstein’s nacl library via libsodium. It has been constructed
to maintain extensive documentation on how to use nacl as well as being
completely portable.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
python-libnacl is used to gain direct access to the functions exposed by
Daniel J. Bernstein’s nacl library via libsodium. It has been constructed
to maintain extensive documentation on how to use nacl as well as being
completely portable.

%package -n python3-%{srcname}-doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    -n python3-%{srcname}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{python3} -m unittest discover --start-directory tests -v

%generate_compatibility_deps

%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%files -n python3-%{srcname}-doc
%doc AUTHORS
%doc README.rst

%changelog
* Wed Mar 29 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.7.2-1
- Init package from upstream
